## diamond 3.4.67

=== debian/changelog ===
diamond (3.4.67) unstable; urgency=medium

  [ Rob Smith ]
  * Last Commit: (2014-04-04 17:37:44 +0100)
    f4f98aebba818b569ff0044437303eee1cb59528 John Spray
    <john.spray@inktank.com>

 --  <jenkins-build@calamari-buildslave-trusty.front.sepia.ceph.com>  Thu, 07 Jan 2016 19:54:24 -0800

diamond (3.0.2) unstable; urgency=low
  * new upstream
 -- Rob Smith <kormoc@gmail.com>  Tue, 01 Aug 2012 21:06:00 -0800

diamond (3.0.0) unstable; urgency=low
  * new upstream
 -- Rob Smith <kormoc@gmail.com>  Tue, 24 Jul 2012 23:56:00 -0800

diamond (0.2.0) unstable; urgency=low
  * new upstream
 -- Christian Becker <c.becker@traviangames.com>  Tue, 16 Feb 2012 18:24:00 +0200
