=== debian/changelog ===
diamond (4.0.515-4ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Fix arch build so that package builds on buildds.
      (Seems like an ubuntu only change).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 30 May 2017 08:42:14 +0530

diamond (4.0.515-4) unstable; urgency=medium

  * debian/diamond.service
    - set KillMode to `mixed`; Closes: #854842

 -- Sandro Tosi <morph@debian.org>  Sun, 28 May 2017 15:48:29 -0400

diamond (4.0.515-3ubuntu1) zesty; urgency=medium

  * Fix arch build so that package builds on buildds.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Feb 2017 12:53:27 +0530

diamond (4.0.515-3) unstable; urgency=medium

  * debian/control
    - install python-pkg-resources with python-diamond; Closes: #851198
    - add lsb-base (>= 3.0-6) to diamond suggests, for those still using init.d;
      Closes: #851745

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 17:28:37 -0500

diamond (4.0.515-2) unstable; urgency=medium

  * debian/control
    - add configobj to depends on both bin packages; Closes: #824228
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 13:04:13 -0500

diamond (4.0.515-1) unstable; urgency=medium

  * New upstream release
  * compat level 10

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2016 13:19:53 -0500

diamond (4.0.451-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont install README.md, removed upstream
  * debian/control
    - suggests psutil, used by memory collector
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2016 20:33:36 +0100

diamond (4.0.195-1) unstable; urgency=low

  * Initial release (Closes: #814784)

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Feb 2016 07:52:21 -0500
