## diamond 4.0.20160104.git41a3cf0-1

=== Makefile ===
--- 
+++ 
@@ -58,8 +58,8 @@
 buildrpm: sdist
 	./setup.py bdist_rpm \
 		--release=`ls dist/*.noarch.rpm | wc -l` \
-		--build-requires='python, python-configobj, python-setuptools' \
-		--requires='python, python-configobj, python-setuptools'
+		--build-requires='python, python-configobj' \
+		--requires='python, python-configobj'
 
 deb: builddeb
 
@@ -108,9 +108,7 @@
 distrotest:
 	echo ${DISTRO}
 
-pypi: clean version sdist bdist_wheel
+pypi: version sdist bdist_wheel
 	twine upload -s dist/*
-	git tag "v$(shell cat version.txt)"
-	git push --tags
 
 .PHONY: run watch config test docs sdist bdist bdist_wheel install rpm buildrpm deb sdeb builddeb buildsourcedeb ebuild buildebuild tar clean cleanws version reltest vertest distrotest pypi
