=== debian/changelog ===
diamond (4.0.20160104.git41a3cf0-1) wily; urgency=medium

  * Non-maintainer release
  * Build from new untag version

 -- Romain Acciari <romain.acciari@openio.io>  Wed, 18 May 2016 09:17:49 +0000

diamond (3.1.0) unstable; urgency=low
  * new upstream
 -- Rob Smith <kormoc@gmail.com>  Tue, 05 Nov 2012 15:19:00 -0800
